package cz.muni.pa165.rest;

import cz.muni.pa165.generated.api.VisualizationApiDelegate;
import cz.muni.pa165.generated.model.VisualizationSchemaCreateDto;
import cz.muni.pa165.generated.model.VisualizationSchemaDto;
import jakarta.validation.constraints.NotNull;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Component;

import java.sql.Driver;

@Component
public class VisualizationController implements VisualizationApiDelegate {
    private static final Logger log = LoggerFactory.getLogger(VisualizationController.class);

    @Override
    public ResponseEntity<VisualizationSchemaDto> getVisualization(VisualizationSchemaCreateDto visualizationSchemaCreateDto) {
        log.debug("getVisualization() called");

        return new ResponseEntity<>(new VisualizationSchemaDto().message("--VISUALIZATION--" + visualizationSchemaCreateDto.getData()), HttpStatus.OK);
    }

}
