package cz.muni.pa165.rest;

import cz.muni.pa165.generated.model.VisualizationSchemaCreateDto;
import cz.muni.pa165.generated.model.VisualizationSchemaDto;
import org.junit.jupiter.api.Test;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;

import static org.junit.jupiter.api.Assertions.assertEquals;
import static org.junit.jupiter.api.Assertions.assertNotNull;

/**
 * @author Michal Badin
 */
class VisualizationControllerTest {
    private static final Logger log = LoggerFactory.getLogger(VisualizationControllerTest.class);
    private final VisualizationController visualizationController = new VisualizationController();

    @Test
    void testGetVisualization() {
        log.debug("testGetVisualization() running");

        ResponseEntity<VisualizationSchemaDto> responseEntity = visualizationController.getVisualization(new VisualizationSchemaCreateDto().data("test"));
        assertEquals(HttpStatus.OK, responseEntity.getStatusCode());
        assertNotNull(responseEntity.getBody());
        assertEquals("--VISUALIZATION--test", responseEntity.getBody().getMessage());
    }
}